Taslak Nokta Ekle

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft AddPoint and the translation is 78% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft AddPoint.svg Nokta ekle

Menü konumu
Taslak → Nokta ekle
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Nokta sil, Düzenle


Tanım

Bu araç, önceden oluşturulmuş Tel ve BSpline öğelerine nokta eklemenizi sağlar.

Bu aracın tersi Nokta sil işlemidir.

Nasıl Kullanılır

  1. Bir Tel veya bir BSpline seçin. Hiçbir nesne seçilmezse araç devre dışı bırakılır.
  2. Draft AddPoint.svg Nokta ekle düğmesine basın.
  3. 3D görünümünde bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  4. İşlemi tamamlamak için Esc veya Kapat tuşuna basınız; önceden yerleştirilmiş noktalar kalacaktır.

Bu işlevselliğe Draft Edit.svg Düzenle aracından da erişilebilir.

Seçenekler

Bu aracın seçenekleri Draft Edit.svg Düzenle bölümünde açıklanmaktadır.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

AddPoint aracı için hiçbir programlama arabirimi yoktur, ancak nokta eklemek basittir.

Bir tel veya spline'ın Points özelliği, bu nesneyi oluşturan noktaların listesidir; nokta eklemek için, bu özniteliğin üzerine daha uzun bir nokta listesi yaz. Listede istediğiniz konuma yeni bir öğe eklemek için append () ve insert () gibi yöntemleri kullanabilirsiniz. Her nokta, birimler milimetre cinsinden, FreeCAD.Vector ile tanımlanır.

Örnek:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, -400, 0)
p2 = FreeCAD.Vector(2200, -1000, 0)

wire = Draft.makeWire([p1, p2])

p_new = FreeCAD.Vector(1500, 1500, 0)
points = wire.Points
points.insert(1, p_new)

wire.Points = points
FreeCAD.ActiveDocument.recompute()